---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
  creationTimestamp: "2022-03-08T10:14:06Z"
  generation: 1
  labels:
    k8s-app: controller
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
        f:labels:
          .: {}
          f:k8s-app: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:k8s-app: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:06Z"
  name: machine-api-controllers
  namespace: openshift-machine-api
  resourceVersion: "1434"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-machine-api/servicemonitors/machine-api-controllers
  uid: d6797c11-b16a-43ba-946a-ef10df326f8e
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: machine-mtrc
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: machine-api-controllers.openshift-machine-api.svc
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: machineset-mtrc
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: machine-api-controllers.openshift-machine-api.svc
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: mhc-mtrc
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: machine-api-controllers.openshift-machine-api.svc
  namespaceSelector:
    matchNames:
    - openshift-machine-api
  selector:
    matchLabels:
      k8s-app: controller
